## javax.persistence
Annotation Type PersistenceContext

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface PersistenceContext

Optional Element Summary
`java.lang.String` `name`
`PersistenceProperty[]` `properties`
`PersistenceContextType` `type`
`java.lang.String` `unitName`

### name

    public abstract java.lang.String name

  Default:
    ""

### unitName

    public abstract java.lang.String unitName

  Default:
    ""

### type

    public abstract PersistenceContextType type

  Default:
    javax.persistence.PersistenceContextType.TRANSACTION

### properties

    public abstract PersistenceProperty[] properties

  Default:
    {}